Author Topic: Experimental: First lua extension that loads on both 5.0.2 and 5.1  (Read 5924 times)

0 Members and 1 Guest are viewing this topic.

Offline bluebear

  • Double Ace
  • *
  • Posts: 116
  • Karma: +12/-0
  • Life is a bitch - And then you marry one!
This is probably the first lua library (extension) that can be used with both lua 5.0.2 and 5.1.
Currently, it expects the dll file name to be "PXLua.dll" and the borland "_" prefix used. However, it will in the future be possible to load this lib on any lua 5.02/5.1 regardless of compiler and filenames ;)

This release is a pre-release, only to show the lib. It has issues and should only be considered a preview. Its not safe to use on a "real" hub!

Get the pre-released beta here:
http://www.thewildplace.dk/downloads/betas/httpget-beta1.zip

Important: the library must be in the ptokax root folder else it will not work!
« Last Edit: 08 April, 2006, 18:49:18 by bluebear »
Sincerely,
bluebear
--
http://www.thewildplace.dk/ is is closed - Use the following mirrors instead
http://bluebear.psycho-chihuahua.net
http://pxextension.piratez.dk/
[Lua extensions - Chat stats - YnHub PMSpy - DC Source code - and more]

PtokaX forum


Markitos

  • Guest
This is probably the first lua library (extension) that can be used with both lua 5.0.2 and 5.1.
Currently, it expects the dll file name to be "PXLua.dll" and the borland "_" prefix used. However, it will in the future be possible to load this lib on any lua 5.02/5.1 regardless of compiler and filenames ;)

This release is a pre-release, only to show the lib. It has issues and should only be considered a preview. Its not safe to use on a "real" hub!

Get the pre-released beta here:
http://www.thewildplace.dk/downloads/betas/httpget-beta1.zip
Windows reports me an error and says that the ptokax must be closed...
Using Ptokax 0.3.4.0d1 (lua 5.1)

Offline bluebear

  • Double Ace
  • *
  • Posts: 116
  • Karma: +12/-0
  • Life is a bitch - And then you marry one!
This is the really first of them.. Plays a sound file nothing more http://www.thewildplace.dk/downloads/luasndplay-0.0.1-Beta.zip  dependencies: http://www.thewildplace.dk/downloads/cc3270.zip

Read more about it on http://www.thewildplace.dk/
« Last Edit: 08 April, 2006, 18:55:22 by bluebear »
Sincerely,
bluebear
--
http://www.thewildplace.dk/ is is closed - Use the following mirrors instead
http://bluebear.psycho-chihuahua.net
http://pxextension.piratez.dk/
[Lua extensions - Chat stats - YnHub PMSpy - DC Source code - and more]

Offline bluebear

  • Double Ace
  • *
  • Posts: 116
  • Karma: +12/-0
  • Life is a bitch - And then you marry one!
This is probably the first lua library (extension) that can be used with both lua 5.0.2 and 5.1.
Currently, it expects the dll file name to be "PXLua.dll" and the borland "_" prefix used. However, it will in the future be possible to load this lib on any lua 5.02/5.1 regardless of compiler and filenames ;)

This release is a pre-release, only to show the lib. It has issues and should only be considered a preview. Its not safe to use on a "real" hub!

Get the pre-released beta here:
http://www.thewildplace.dk/downloads/betas/httpget-beta1.zip
Windows reports me an error and says that the ptokax must be closed...
Using Ptokax 0.3.4.0d1 (lua 5.1)

It works fine here on both lua versions.. For 5.1 i use 0.3.4.0b.dbg
Sincerely,
bluebear
--
http://www.thewildplace.dk/ is is closed - Use the following mirrors instead
http://bluebear.psycho-chihuahua.net
http://pxextension.piratez.dk/
[Lua extensions - Chat stats - YnHub PMSpy - DC Source code - and more]

Markitos

  • Guest
This is the really first of them.. Plays a sound file nothing more http://www.thewildplace.dk/downloads/luasndplay-0.0.1-Beta.zip  dependencies: http://www.thewildplace.dk/downloads/cc3270.zip

Read more about it on http://www.thewildplace.dk/
Cool....
Code: [Select]
[20:08] <DL> http://www.thewildplace.dk/downloads/luasndplay-0.0.1-Beta.zip Added to download list!
[20:08] <Estranho_para_ti> add
[20:08] <dl> Status for http://www.thewildplace.dk/downloads/luasndplay-0.0.1-Beta.zip Downloading...
[20:09] <dl> Status for http://www.thewildplace.dk/downloads/luasndplay-0.0.1-Beta.zip Download complete!
[20:09] <dl> Status for http://www.thewildplace.dk/downloads/luasndplay-0.0.1-Beta.zip is not in list!
This is cool too, found this lib very usefull  ;D thnks

Markitos

  • Guest
This is probably the first lua library (extension) that can be used with both lua 5.0.2 and 5.1.
Currently, it expects the dll file name to be "PXLua.dll" and the borland "_" prefix used. However, it will in the future be possible to load this lib on any lua 5.02/5.1 regardless of compiler and filenames ;)

This release is a pre-release, only to show the lib. It has issues and should only be considered a preview. Its not safe to use on a "real" hub!

Get the pre-released beta here:
http://www.thewildplace.dk/downloads/betas/httpget-beta1.zip
Windows reports me an error and says that the ptokax must be closed...
Using Ptokax 0.3.4.0d1 (lua 5.1)

It works fine here on both lua versions.. For 5.1 i use 0.3.4.0b.dbg
Well, worked great here but it still reports that error gonna try with 0.3.4.0b

--//Edit
Worked great with 0.3.4.0e1.dbg...i think it was an error in my mod (of ur test script)  ;D
« Last Edit: 08 April, 2006, 19:24:54 by Markitos »

Markitos

  • Guest
Pretty good so far...

Quote
[14:41:58] <WebBot> http://www.domain.com/files/novelties.pdf, Has Been added to download list!
[14:41:59] <WebBot> Downloading = http://www.domain.com/files/novelties.pdf
[14:42:09] <WebBot> 
 
   Download Complete = http://www.domain.com/files/novelties.pdf
   Download Size:   2.70 Mb
   Download Time:   12 seconds
   Transfer Speed:   230.38 Kb/s 
   PtokaX Version:   PtokaX 0.3.4.0
   PXLua Version:   Lua 5.1

I do get a division by zero error when downloading from the inbuilt web server PtokaX using this lib,
otherwise, no problem's works well. It's not as if one needs to dl from self anyway :P

Mutor, could u post ur script ???

Markitos

  • Guest
Thanks  :D

Offline bluebear

  • Double Ace
  • *
  • Posts: 116
  • Karma: +12/-0
  • Life is a bitch - And then you marry one!
Looks good mutor :)
Sincerely,
bluebear
--
http://www.thewildplace.dk/ is is closed - Use the following mirrors instead
http://bluebear.psycho-chihuahua.net
http://pxextension.piratez.dk/
[Lua extensions - Chat stats - YnHub PMSpy - DC Source code - and more]

Offline jiten

  • Scripter
  • Forum Legend
  • ******
  • Posts: 1 577
  • Karma: +71/-5
Looks good mutor :)

Indeed. Nicely done, mate.

Offline Psycho_Chihuahua

  • Systemspecialist IT
  • Emperor
  • **
  • Posts: 1 054
  • Karma: +112/-1
  • I am wherever i want to be
    • PtokaX Luaboard
Re: Experimental: First lua extension that loads on both 5.0.2 and 5.1
« Reply #10 on: 14 April, 2006, 14:35:26 »
Quote
-List wavs command

Couldn't find that one Mutor  ???
PtokaxWiki ?PtokaX Mirror + latest Libs

01100001011011000111001101101111001000000110101101101110011011110111011101101110001000000110000101110011001000000101010001101111011010110110111101101100011011110111001101101000

Offline Psycho_Chihuahua

  • Systemspecialist IT
  • Emperor
  • **
  • Posts: 1 054
  • Karma: +112/-1
  • I am wherever i want to be
    • PtokaX Luaboard
Re: Experimental: First lua extension that loads on both 5.0.2 and 5.1
« Reply #11 on: 14 April, 2006, 23:04:23 »
then something is wrong  :(

those 2 commands don't do anything here (on 0.3.4.0f0)
PtokaxWiki ?PtokaX Mirror + latest Libs

01100001011011000111001101101111001000000110101101101110011011110111011101101110001000000110000101110011001000000101010001101111011010110110111101101100011011110111001101101000

Offline Psycho_Chihuahua

  • Systemspecialist IT
  • Emperor
  • **
  • Posts: 1 054
  • Karma: +112/-1
  • I am wherever i want to be
    • PtokaX Luaboard
Re: Experimental: First lua extension that loads on both 5.0.2 and 5.1
« Reply #12 on: 15 April, 2006, 14:32:50 »
that line is correct here, and the sounds work too, only +wavlist and +page don't do anything (not that tragic though)
PtokaxWiki ?PtokaX Mirror + latest Libs

01100001011011000111001101101111001000000110101101101110011011110111011101101110001000000110000101110011001000000101010001101111011010110110111101101100011011110111001101101000

PtokaX forum

Re: Experimental: First lua extension that loads on both 5.0.2 and 5.1
« Reply #12 on: 15 April, 2006, 14:32:50 »